Skip to main content
GET
/
runbooks
/
rules
/
{id}
Get Runbook Rule
curl --request GET \
  --url https://use.hoop.dev/api/runbooks/rules/{id}
import requests

url = "https://use.hoop.dev/api/runbooks/rules/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://use.hoop.dev/api/runbooks/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connections": [
    "pgdemo",
    "bash"
  ],
  "name": "Default Runbook Rules",
  "runbooks": [
    {
      "name": "ops/update-user.runbook.sh",
      "repository": "github.com/myorg/myrepo"
    }
  ],
  "user_groups": [
    "dba-team",
    "devops-team"
  ],
  "created_at": "2024-07-25T15:56:35.317601Z",
  "description": "Runbook rules for production databases",
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "org_id": "37EEBC20-D8DF-416B-8AC2-01B6EB456318",
  "updated_at": "2024-07-25T15:56:35.317601Z"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Path Parameters

id
string
required

Runbook Rule ID

Response

OK

connections
string[]
required

The connection names that this rule applies to

Example:
["pgdemo", "bash"]
name
string
required

The name of the runbook rule

Example:

"Default Runbook Rules"

runbooks
object[]
required

The runbook files associated with this rule

user_groups
string[]
required

The user groups names that can access this runbook rule

Example:
["dba-team", "devops-team"]
created_at
string
read-only

The time the resource was created

Example:

"2024-07-25T15:56:35.317601Z"

description
string

The description of the runbook rule

Example:

"Runbook rules for production databases"

id
string<uuid>
read-only

The unique identifier of the runbook rule

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

org_id
string<uuid>
read-only

Organization ID that owns this runbook rule

Example:

"37EEBC20-D8DF-416B-8AC2-01B6EB456318"

updated_at
string
read-only

The time the resource was updated

Example:

"2024-07-25T15:56:35.317601Z"